Skip to content

# TUIC

### Structure

    {
      "type": "tuic",
      "tag": "tuic-in",

      ... // Listen Fields

      "users": [
        {
          "name": "sekai",
          "uuid": "059032A9-7D40-4A96-9BB1-36823D848068",
          "password": "hello"
        }
      ],
      "congestion_control": "cubic",
      "auth_timeout": "3s",
      "zero_rtt_handshake": false,
      "heartbeat": "10s",
      "tls": {}
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### users

TUIC users

#### users.uuid

Required

TUIC user uuid

#### users.password

TUIC user password

#### congestion_control

QUIC congestion control algorithm

One of: `cubic`, `new_reno`, `bbr`

`cubic` is used by default.

#### auth_timeout

How long the server should wait for the client to send the authentication command

`3s` is used by default.

#### zero_rtt_handshake

Enable 0-RTT QUIC connection handshake on the client side
This is not impacting much on the performance, as the protocol is fully multiplexed

Disabling this is highly recommended, as it is vulnerable to replay attacks. See Attack of the clones

#### heartbeat

Interval for sending heartbeat packets for keeping the connection alive

`10s` is used by default.

#### tls

Required

TLS configuration, see TLS.